Subject: Re: cygwin, emacs, mozilla
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 24 Oct 2002 16:34:11 -0400

Randall R Schulz wrote:
> At 12:15 2002-10-24, Thomas L Roche wrote:
> >Chris Lott <[email-masked]> 10/24/2002 02:26 PM
> >
> >...
> >
> > > How well does Mozilla run on Cygwin
> >
> >That I don't know, but Moz says you can build Moz with Cygwin: see
> >
> >http://www.mozilla.org/build/win32.html
> 
> Intriguing, but I don't think this produces a Cygwin binary. From
> the "GNU Tools for Microsoft Windows (the cygwin toolkit)" section
> of that page:
> 
> "Cygwin is a UNIX-like environment for Windows... Mozilla uses a
> developer set of cygwin packages... These include gawk, make and
> zip utilities, and optionally cygwin perl. GCC is _not_ used and
> does not need to be installed."
> 
> [ Emphasis and editing mine, of course. ]
> 
> Note especially the last sentence. I believe this is intended for
> people who don't want to use the VisualC++ IDE, but I assume that
> since GCC is not used the VisualC++ compiler is and thus the end
> result is identical to that built with Visual C++.
> 
> Am I misinterpreting that?

I am amazed that, considering the warm fuzzy loving relationship
between Microsoft and Netscape/Mozilla, they continue to use VC. 
I would expect them to lean over backwards to move over to gcc.

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/